#include <dos.h>
#include <stdio.h>
#include <stdlib.h>
#include "sysp.h"

void main(void);

void main(void)
{

	 CVT far *cvt;
	 DINFO far *dinfo;
	 unsigned i,j,k;

	 printf("Информация о дисковых устройствах\n"
			  "Copyright Frolov A. (C),1990\n");

	 cvt=get_mcvt();     // Адрес векторной таблицы связи
	 dinfo=cvt->drv_info;  // Адрес таблицы дисковых устройств
	 i=cvt->num_bdev;    // Количество дисковых устройств

	 for(j=0;j<i;j++) {

		printf("Адрес: %Fp,путь: %Fs\n"
				 "Первый кластер каталога: %d\n\n",
				 dinfo,
				 dinfo->path,
				 dinfo->cdir_clu);
		dinfo = dinfo+1;

	 }
	 exit(0);
}
